Bug 170783 - Invalid ntp.conf created by dhclient-script
Invalid ntp.conf created by dhclient-script
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dhcp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Depends On: 139715
Blocks: 190430
  Show dependency treegraph
Reported: 2005-10-14 11:20 EDT by Jason Vas Dias
Modified: 2010-04-06 08:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-04-06 08:46:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-10-14 11:20:50 EDT
+++ This bug was initially created as a clone of Bug #139715 +++

Description of problem:
If DHCP provides the NTP server, dhclient-script generates ntp.conf
but uses "authenticate yes" which ntp-4.2.0.a.20040617-4 dislikes as
/var/log/messages shows:
Nov 17 19:11:37 host ntpd[4047]: configure: keyword "authenticate"
unknown, line ignored

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure DHCP server to send NTP server option.
2. Boot client
3. Observe generated ntp.conf and the complaint in /var/log/messages.
Actual results:
As above.

Expected results:
A valid configuration.

Additional info:
By the way, rpm -qf shows /sbin/dhclient-script as belonging to
dhclient, but there is no dhclient component for Fedora Core 3 in this
Bugzilla ?

-- Additional comment from dbolcioni@3di.it on 2004-11-17 13:30 EST --
Please note that I do not believe this is a duplicate of the various
earlier problems with ntp.conf documented in Bugzilla; I bothered with
a quick check. It seems that "authenticate yes" is no longer liked by
ntp, although it used to be fine.

-- Additional comment from jvdias@redhat.com on 2004-11-17 16:17 EST --
 The dhclient-script was overwriting the /etc/ntp.conf and
 /etc/ntp/step-tickers files when it received new ntp servers
 from the DHCP server.
 With dhcp-3.0.1-14, DHCP now merges in only the new servers
 with the existing ntp.conf contents, so other non-server 
 configuration is preserved.
 dhcp-3.0.1-14 will be available from tomorrow in the Fedora 
 Development (rawhide) repository, and from :
 Please test dhcp-3.0.1-14 and let me know how it works - then
 if it works ok I'll push it to FC3 updates.
Comment 1 Jason Vas Dias 2005-10-14 11:22:27 EDT
fixed with dhcp-3.0.1-40_EL3
Comment 4 Jason Vas Dias 2006-03-23 16:16:19 EST
Adding devel-ack as requested by Pete Graner<pgraner@redhat.com>.
Comment 7 Jiri Popelka 2010-04-06 08:46:22 EDT
Closing as WONTFIX. dhcp-3.0.1-10_EL3 is the latest version shipped for RHEL-3.

Note You need to log in before you can comment on or make changes to this bug.